## deepin-scanner 0.1.9

=== debian/changelog ===
deepin-scanner (0.1.9) unstable; urgency=medium

  * update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:34:13 +0800

deepin-scanner (0.1.8) unstable; urgency=medium

  * Update version to 0.1.8
  * Update title of the manual documents.

 -- re2zero <yangwu@uniontech.com>  Tue, 24 Jun 2025 18:24:15 +0800

deepin-scanner (0.1.7) unstable; urgency=medium

  * Merge pull request #12 from Kakueeen/master

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 14:03:49 +0800

deepin-scanner (0.1.6) unstable; urgency=medium

  * Update version to 0.1.6
  * Update the manual documents.

 -- re2zero <yangwu@uniontech.com>  Thu, 19 Jun 2025 16:11:43 +0800

deepin-scanner (0.1.5) unstable; urgency=medium

  * Update version to 0.1.5
  * chore: [log]Format log and add manual assets.
  * fix: Fix open device failed issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 29 May 2025 19:19:08 +0800

deepin-scanner (0.1.4) unstable; urgency=medium

  * Update version to 0.1.4
  * Fix some UI issues.

 -- re2zero <yangwu@uniontech.com>  Wed, 14 May 2025 13:03:16 +0800

deepin-scanner (0.1.3) unstable; urgency=medium

  * Update version to 0.1.3
  * Add loading dialog.

 -- re2zero <yangwu@uniontech.com>  Tue, 29 Apr 2025 19:21:18 +0800

deepin-scanner (0.1.2) unstable; urgency=medium

  * Update version to 0.1.2
  * Fix mips build.

 -- re2zero <yangwu@uniontech.com>  Tue, 29 Apr 2025 11:08:14 +0800

deepin-scanner (0.1.1) unstable; urgency=medium

  * Frist release version 0.1.1

 -- re2zero <yangwu@uniontech.com>  Thu, 24 Apr 2025 20:20:46 +0800

deepin-scanner (0.1.0) unstable; urgency=medium

  * New version 0.1.0

 -- re2zero <yangwu@uniontech.com>  Thu, 24 Apr 2025 19:14:01 +0800
