## deepin-scanner 0.1.12

=== debian/changelog ===
deepin-scanner (0.1.12) unstable; urgency=medium

  * Update version to 0.1.12
  * Fix black-white image save issues.

 -- re2zero <yangwu@uniontech.com>  Wed, 16 Jul 2025 10:19:19 +0800

deepin-scanner (0.1.11) unstable; urgency=medium

  * Update version to 0.1.11
  * Fix combo box select block and black-white image save issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 10 Jul 2025 16:38:16 +0800

deepin-scanner (0.1.10) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 01 Jul 2025 19:48:16 +0800
