=== debian/control ===

Source: deepin-scanner
Section: graphics
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 cmake,
 qt6-5compat-dev | libqt5x11extras5-dev,
 qt6-base-dev | qtbase5-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-tools-dev | qttools5-dev,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6gui-dev | libdtkgui-dev,
 libdtk6core-dev | libdtkcore-dev,
 libquazip1-qt6-dev | libquazip1-qt5-dev | libquazip5-dev,
 libsane-dev,
 libtiff-dev,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
Standards-Version: 4.5.0

Package: deepin-scanner
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Description: a tool for scanning.
 Scanner Manager is a tool for scanning document files, supporting PDF, JPEG, PNG, TIFF.
