## deepin-scanner 0.1.15

=== debian/changelog ===
deepin-scanner (0.1.15) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 09:20:32 +0800

deepin-scanner (0.1.14) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 17:51:54 +0800

deepin-scanner (0.1.13) unstable; urgency=medium

  * Update version to 0.1.13
  * Fix some scanner issues.

 -- re2zero <yangwu@uniontech.com>  Mon, 21 Jul 2025 16:13:32 +0800
