## deepin-scanner 0.1.17

=== debian/changelog ===
deepin-scanner (0.1.17) unstable; urgency=medium

  * chore: Update version to 0.1.17
  * chore: Adjust pkg-config dependency

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 17 Oct 2025 08:35:29 +0800

deepin-scanner (0.1.16) unstable; urgency=medium

  * chore: Update version to 0.1.16

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 19:25:00 +0800
